Bug 178560 - [NEW PORT] archivers/snappyjava: Fast compressor/decompressor library
Summary: [NEW PORT] archivers/snappyjava: Fast compressor/decompressor library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 09:10 UTC by Radim Kolar
Modified: 2013-05-17 18:10 UTC (History)
1 user (show)

See Also:


Attachments
.shar (2.78 KB, text/plain)
2013-05-13 09:10 UTC, Radim Kolar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2013-05-13 08:59:42 UTC
>Number:         178560
>Category:       ports
>Synopsis:       [NEW PORT] archivers/snappyjava: Fast compressor/decompressor library
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          change-request
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 08:10:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Radim Kolar
>Release:        FreeBSD 9.1-RELEASE-p2 i386
>Organization:
>Environment:
System: FreeBSD fbsd9.localdomain 9.1-RELEASE-p2 FreeBSD 9.1-RELEASE-p2 #2: Tue Apr  9 02:31:34 CEST
>Description:
The snappy-java is a Java port of the snappy,
a fast C++ compresser/decompresser developed by Google.

WWW: https://github.com/xerial/snappy-java

replaces http://www.freebsd.org/cgi/query-pr.cgi?pr=178553

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
>How-To-Repeat:
>Fix:

--- .shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	snappy-java
#	snappy-java/distinfo
#	snappy-java/Makefile
#	snappy-java/pkg-descr
#	snappy-java/files
#	snappy-java/files/patch-likelinux
#
echo c - snappy-java
mkdir -p snappy-java > /dev/null 2>&1
echo x - snappy-java/distinfo
sed 's/^X//' >snappy-java/distinfo << 'fc134fe227576b5da66a53eda13a63df'
XSHA256 (snappy-1.0.4.1.tar.gz) = c8715bc9cb7c3112b6e56bee9368c024ef8bf12d09faaac45bb84f2d3aec3bd6
XSIZE (snappy-1.0.4.1.tar.gz) = 5475060
fc134fe227576b5da66a53eda13a63df
echo x - snappy-java/Makefile
sed 's/^X//' >snappy-java/Makefile << '7509196da6d3f96a58478ee7aa68554e'
X# Created by: Radim Kolar <hsn@filez.com>
X# $FreeBSD$
X
XPORTNAME=	snappy
XPORTVERSION=	1.0.4.1
XPORTREVISION=	0
XCATEGORIES=	archivers java
XMASTER_SITES=	GITHUB
XPKGNAMESUFFIX=	java
X
XMAINTAINER=	hsn@sendmail.cz
XCOMMENT=	Fast compressor/decompressor library
X
XLICENSE=	AL2
X
XBUILD_DEPENDS=	${LOCALBASE}/share/java/maven3/bin/mvn:${PORTSDIR}/devel/maven3 \
X		curl:${PORTSDIR}/ftp/curl
X
XGH_ACCOUNT=	xerial
XGH_PROJECT=	snappy-java
XGH_TAGNAME=	snappy-java-1.0.4.1
XGH_COMMIT=	487f82d
XUSE_GITHUB=	yes
X
XUSE_JAVA=	yes
XJAVA_VERSION=	1.7
XJAVA_VENDOR=	openjdk
XUSE_GMAKE=	yes
X
XPLIST_FILES=	%%JAVAJARDIR%%/snappy-java.jar
X
Xdo-build:
X	cd ${WRKSRC} && /usr/bin/env JAVA_HOME=${JAVA_HOME} ${GMAKE} && ${LOCALBASE}/share/java/maven3/bin/mvn test
X
Xdo-install:
X	${INSTALL_DATA} ${WRKSRC}/target/snappy-java-${PORTVERSION}.jar ${JAVAJARDIR}/snappy-java.jar
X
X.include <bsd.port.mk>
7509196da6d3f96a58478ee7aa68554e
echo x - snappy-java/pkg-descr
sed 's/^X//' >snappy-java/pkg-descr << 'b062863661565f7645a5a027254988d1'
XThe snappy-java is a Java port of the snappy,
Xa fast C++ compresser/decompresser developed by Google.
X
XWWW: https://github.com/xerial/snappy-java
b062863661565f7645a5a027254988d1
echo c - snappy-java/files
mkdir -p snappy-java/files > /dev/null 2>&1
echo x - snappy-java/files/patch-likelinux
sed 's/^X//' >snappy-java/files/patch-likelinux << 'a5e05f6274df7af464a52a9aa4fa6192'
X--- Makefile.common.orig	2011-10-05 03:29:42.000000000 +0200
X+++ Makefile.common	2013-05-13 02:19:31.000000000 +0200
X@@ -50,8 +50,8 @@
X 
X Default_CXX          := g++
X Default_STRIP        := strip
X-Default_CXXFLAGS     := -I$(JAVA_HOME)/include -Ilib/inc_mac -O2 -fPIC -fvisibility=hidden
X-Default_LINKFLAGS    := -shared -static
X+Default_CXXFLAGS     := -Ilib/inc_linux -I$(JAVA_HOME)/include -Ilib/inc_mac -O2 -fPIC -fvisibility=hidden
X+Default_LINKFLAGS    := -lc -shared
X Default_LIBNAME      := libsnappyjava.so
X Default_SNAPPY_FLAGS := 
X 
a5e05f6274df7af464a52a9aa4fa6192
exit
--- .shar ends here ---

>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 Radim Kolar 2013-05-13 09:10:00 UTC
The snappy-java is a Java port of the snappy,
a fast C++ compresser/decompresser developed by Google.

WWW: https://github.com/xerial/snappy-java

replaces http://www.freebsd.org/cgi/query-pr.cgi?pr=178553

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 09:10:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

bdrewery@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-05-17 18:09:22 UTC
Author: jgh
Date: Fri May 17 17:09:05 2013
New Revision: 318393
URL: http://svnweb.freebsd.org/changeset/ports/318393

Log:
  Snappy-java is a Java port of snappy, a fast C++
  compresser/decompresser developed by Google.
  
  WWW: https://github.com/xerial/snappy-java
  
  PR:		ports/178560 (based on)
  Submitted by:	Radim Kolar <hsn@filez.com>

Added:
  head/archivers/snappy-java/
  head/archivers/snappy-java/Makefile   (contents, props changed)
  head/archivers/snappy-java/distinfo   (contents, props changed)
  head/archivers/snappy-java/files/
  head/archivers/snappy-java/files/patch-likelinux   (contents, props changed)
  head/archivers/snappy-java/pkg-descr   (contents, props changed)
Modified:
  head/archivers/Makefile

Modified: head/archivers/Makefile
==============================================================================
--- head/archivers/Makefile	Fri May 17 14:36:34 2013	(r318392)
+++ head/archivers/Makefile	Fri May 17 17:09:05 2013	(r318393)
@@ -175,6 +175,7 @@
     SUBDIR += sectar
     SUBDIR += sharutils
     SUBDIR += snappy
+    SUBDIR += snappy-java
     SUBDIR += squeeze
     SUBDIR += squsq
     SUBDIR += star

Added: head/archivers/snappy-java/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/archivers/snappy-java/Makefile	Fri May 17 17:09:05 2013	(r318393)
@@ -0,0 +1,57 @@
+# Created by: Radim Kolar <hsn@filez.com>
+# $FreeBSD$
+
+# Note to committers:
+# With each version update, a new maven repository must be created and distributed
+# so build is repeatable and cluster-safe.
+
+PORTNAME=	snappy
+PORTVERSION=	1.0.4.1
+CATEGORIES=	archivers java
+MASTER_SITES=	GITHUB:source1 \
+		http://snappy.googlecode.com/files/:source2 \
+		LOCAL/jgh/archivers/${PORTNAME}/:source3
+PKGNAMESUFFIX=	java
+DISTFILES+=	snappy-${PORTVERSION}.tar.gz:source1 \
+		snappy-${PORTVERSION:R}.tar.gz:source2 \
+		FreeBSD-snappy-${PORTVERSION}-maven-repository.tar.gz:source3
+EXTRACT_ONLY=	snappy-${PORTVERSION}.tar.gz \
+		FreeBSD-snappy-${PORTVERSION}-maven-repository.tar.gz
+
+MAINTAINER=	hsn@sendmail.cz
+COMMENT=	Fast compressor/decompressor library
+
+LICENSE=	AL2
+
+BUILD_DEPENDS=	${LOCALBASE}/share/java/maven3/bin/mvn:${PORTSDIR}/devel/maven3
+
+GH_ACCOUNT=	xerial
+GH_PROJECT=	snappy-java
+GH_TAGNAME=	snappy-java-${PORTVERSION}
+GH_COMMIT=	487f82d
+USE_GITHUB=	yes
+
+USE_JAVA=	yes
+JAVA_VERSION=	1.7
+USE_GMAKE=	yes
+
+PLIST_FILES=	%%JAVAJARDIR%%/snappy-java.jar
+
+post-patch-script:
+	@${REINPLACE_CMD} -e 's|curl.*||g' \
+		${WRKSRC}/Makefile
+	@${REINPLACE_CMD} -e 's|MVN:=mvn|MVN:=mvn -Dmaven.repo.local=${WRKDIR}/repository --offline|g' \
+		${WRKSRC}/Makefile
+
+pre-build:
+	@${MKDIR} ${WRKSRC}/target
+	@${CP} ${DISTDIR}/snappy-${PORTVERSION:R}.tar.gz ${WRKSRC}/target/
+
+do-build: pre-build
+	cd ${WRKSRC} && ${SETENV} JAVA_HOME=${JAVA_HOME} \
+	${GMAKE} && ${LOCALBASE}/share/java/maven3/bin/mvn -Dmaven.repo.local=${WRKDIR}/repository --offline test
+
+do-install:
+	${INSTALL_DATA} ${WRKSRC}/target/snappy-java-${PORTVERSION}.jar ${JAVAJARDIR}/snappy-java.jar
+
+.include <bsd.port.mk>

Added: head/archivers/snappy-java/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/archivers/snappy-java/distinfo	Fri May 17 17:09:05 2013	(r318393)
@@ -0,0 +1,6 @@
+SHA256 (snappy-1.0.4.1.tar.gz) = c8715bc9cb7c3112b6e56bee9368c024ef8bf12d09faaac45bb84f2d3aec3bd6
+SIZE (snappy-1.0.4.1.tar.gz) = 5475060
+SHA256 (snappy-1.0.4.tar.gz) = 4ad91adb1592b6de67ecaad2ade6c34b9cf98a0bbc74ac8786b520b529b3bf61
+SIZE (snappy-1.0.4.tar.gz) = 1676541
+SHA256 (FreeBSD-snappy-1.0.4.1-maven-repository.tar.gz) = 1d258eedabd2ff74954988b7d404ac803f55687b916f697179489c3a4cb0e243
+SIZE (FreeBSD-snappy-1.0.4.1-maven-repository.tar.gz) = 8290287

Added: head/archivers/snappy-java/files/patch-likelinux
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/archivers/snappy-java/files/patch-likelinux	Fri May 17 17:09:05 2013	(r318393)
@@ -0,0 +1,13 @@
+--- Makefile.common.orig	2011-10-05 03:29:42.000000000 +0200
++++ Makefile.common	2013-05-13 02:19:31.000000000 +0200
+@@ -50,8 +50,8 @@
+ 
+ Default_CXX          := g++
+ Default_STRIP        := strip
+-Default_CXXFLAGS     := -I$(JAVA_HOME)/include -Ilib/inc_mac -O2 -fPIC -fvisibility=hidden
+-Default_LINKFLAGS    := -shared -static
++Default_CXXFLAGS     := -Ilib/inc_linux -I$(JAVA_HOME)/include -Ilib/inc_mac -O2 -fPIC -fvisibility=hidden
++Default_LINKFLAGS    := -lc -shared
+ Default_LIBNAME      := libsnappyjava.so
+ Default_SNAPPY_FLAGS := 
+ 

Added: head/archivers/snappy-java/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/archivers/snappy-java/pkg-descr	Fri May 17 17:09:05 2013	(r318393)
@@ -0,0 +1,4 @@
+Snappy-java is a Java port of snappy, a fast C++
+compresser/decompresser developed by Google.
+
+WWW: https://github.com/xerial/snappy-java
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jason Helfman freebsd_committer 2013-05-17 18:10:11 UTC
State Changed
From-To: open->closed

New port added with minor changes, Thanks! 


Comment 5 Jason Helfman freebsd_committer 2013-05-17 18:10:11 UTC
Responsible Changed
From-To: bdrewery->jgh

New port added with minor changes, Thanks!